LOAD_PACKAGE(8)

NAME
load_package - install additional packages from a release tape or floppy

AVAILABILITY

This command is available on SPARCstation 1 systems only.

SYNOPSIS
/usr/etc/install/script/load_package [ -a kernel_arch ] [ -e execpath ] [ -k kvmpath ]

DESCRIPTION

load_package is normally used on systems that come with a release preloaded on disk. It allows you to load additional packages onto your system.

You must be the super-user to run load_package.

Currently, load_package is a front end to setup_exec(8), and makes assumptions about the architecture, the kernel, and application executables paths based on the system it's running on. However, load_package undoes the modifications to /etc/exports that setup_exec(8) makes.

When support for a SPARCstation 1 client is added to a server, load_package is automatically installed in the Sun-4 system's .../suninstall/script directory.

If you are running load_package on the same system that the additional packages will be used on and the standard execpath (/export/exec/kernel_arch) and kvmpath (/export/exec/kvm/kernel_arch) are used, no load_package options need to be specified.

If you are running load_package on a server to add packages for a client and the standard execpath (/export/exec/kernel_arch) and kvmpath (/export/exec/kvm/kernel_arch) are used, you need to specify only the client's kernel architecture.

If neither of the above cases apply to you, you may completely specify the application architecture executable path name, the kernel architecture executable path name and the kernel architecture of the system the additional packages will run on.

OPTIONS

-a kernel_arch
    Specify the kernel architecture of the system whose executables are being installed. See arch(1) for more information on kernel and application architectures. Defaults to the value returned by `arch -k', if not specified.

-e execpath
    Specify the full path name of the application architecture executables directory. This is usually /export/exec/appl_arch. Defaults to /export/exec/KERNEL_ARCH, if not specified.

-k kvmpath
    Specify the full path name of the kernel architecture executables directory. This is usually /export/exec/kvm/kernel_arch. Defaults to /export/exec/kvm/KERNEL_ARCH, if not specified.

EXAMPLE

To load packages onto a SPARCstation 1 in the “normal” places:
    example% load_package

To load packages for a SPARCstation 1 client on a Sun-3 server, in the “normal” places:
    example% load_package -a sun4c

FILES
/etc/exports.load-package
    used to keep a copy of the exports file
/etc/xtab.load-package
    used to re-export all files when done

SEE ALSO
arch(1) setup_exec(8)

DIAGNOSTICS

USAGE: load_package [-a kernel_arch] [-e full exec pathname] [-k full kvm pathname]
Printed when load_package is invoked incorrectly.

Too many options and/or option arguments.
    More options and/or option arguments than allowed were used.

echo 'Extraneous arguments on the command line.'
    An option had more option arguments than allowed. Each option can have only one option argument.